# frozen_string_literal: true


module DeerjikistRepr
  BASE = { only: [:platform, :code], include: { tag: TagRepr::BASE } }.freeze

  module_function

  def base deerjikist
    deerjikist.as_json(BASE)
  end

  def many deerjikists
    deerjikists.map { |d| base(d) }
  end
end
